Subject: [Idr] Working Group Last Call - draft-ietf-idr-bgp-gr-notification-06 (4/18 to 5/2/2016)

From: "Susan Hares" <[email-masked]>
Date: Mon, 18 Apr 2016 15:00:01 -0400

This begins a 2 week WG LC for draft-ietf-idr-bgp-gr-notification-06.txt
(4/18 to 5/2/2016) 

There are two implementations of this draft: 

.         Junos 15.1R1 as part of our support for long-lived graceful
restart

.         Cisco IOS has an implementation.

https://tools.ietf.org/html/draft-ietf-idr-bgp-gr-notification-06

The authors (John, Rex, Jeff, and Keyur) should indicate whether they know
of any IPR.  There are no IPRs listed against this draft at the IETF web
site.  

Sue Hares

---

From: <[email-masked]>
Date: Tue, 19 Apr 2016 08:59:20 +0000

Hi Sue,

Support.

Due to lack of time, I've only re-reviewed the draft very quickly, so more review should be welcomed.

I may have one comment, which may be both significant and late. Sorry for this. (Alternatively, I read it too quickly).

> [RFC4724] S. 4.2 defines rules for the Receiving Speaker.

As per my reading, GR-notification can't be used if the speaker has not advertised the AFI/SAFI in the GR capability.
It looks like an unnecessary restriction as GR-notification seems a control plane only feature, while the advertisement of the AFI/SAFI in GR is, IMO, a forwarding plane capability ("capable of preserving its forwarding state during BGP restart".)
IOW, a BGP speaker which is not capable of preserving its forwarding state during a BGP restart can't benefit from GR notification.
This may be an issue for CE, in particular in a VPN environment.

Suggesting nits (feel free to silently discard):
§1

OLD: If a Hard Reset is used, a full session reset is performed.

NEW: If a Hard Reset is used, a full session reset is performed as per [RFC4271]

Motivation: "full session reset" is not defined.

§4:

OLD: When a BGP speaker resets

NEW: When this BGP speaker resets

Motivation: this behavior is only applicable to the aforementioned BGP speaker.

Regards,

Bruno

From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Monday, April 18, 2016 9:00 PM
To: 'idr@ietf. org'
Cc: 'Keyur Patel (keyupate)'
Subject: [Idr] Working Group Last Call - draft-ietf-idr-bgp-gr-notification-06 (4/18 to 5/2/2016)

This begins a 2 week WG LC for draft-ietf-idr-bgp-gr-notification-06.txt (4/18 to 5/2/2016)

·         Junos 15.1R1 as part of our support for long-lived graceful restart

·         Cisco IOS has an implementation.

The authors (John, Rex, Jeff, and Keyur) should indicate whether they know of any IPR.  There are no IPRs listed against this draft at the IETF web site.

Sue Hares

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.